<html>
<head>
<title>Ogre::ErrorDialog Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1ErrorDialog.html">ErrorDialog</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pro-static-methods">Static Protected Member Functions</a> &#124;
<a href="#pro-attribs">Protected Attributes</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::ErrorDialog Class Reference<div class="ingroups"><a class="el" href="group__General.html">General</a></div></div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::ErrorDialog" -->
<p>Class for displaying the error dialog if <a class="el" href="namespaceOgre.html">Ogre</a> fails badly.  
 <a href="classOgre_1_1ErrorDialog.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="Android_2OgreErrorDialogImp_8h_source.html">OgreErrorDialogImp.h</a>&gt;</code></p>

<p><a href="classOgre_1_1ErrorDialog-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ErrorDialog.html#a2bc61f9ef62e3b8bc45bb108974870fc">ErrorDialog</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ErrorDialog.html#a74219f8676f8036cf7dd56b8530390dd">display</a> (const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;errorMessage, <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> logName=&quot;&quot;)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ErrorDialog.html#a2bc61f9ef62e3b8bc45bb108974870fc">ErrorDialog</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ErrorDialog.html#a74219f8676f8036cf7dd56b8530390dd">display</a> (const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;errorMessage, <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> logName=&quot;&quot;)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ErrorDialog.html#a2bc61f9ef62e3b8bc45bb108974870fc">ErrorDialog</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ErrorDialog.html#a74219f8676f8036cf7dd56b8530390dd">display</a> (const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;errorMessage, <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> logName=&quot;&quot;)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ErrorDialog.html#a2bc61f9ef62e3b8bc45bb108974870fc">ErrorDialog</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ErrorDialog.html#a74219f8676f8036cf7dd56b8530390dd">display</a> (const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;errorMessage, <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> logName=&quot;&quot;)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ErrorDialog.html#a2bc61f9ef62e3b8bc45bb108974870fc">ErrorDialog</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ErrorDialog.html#a74219f8676f8036cf7dd56b8530390dd">display</a> (const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;errorMessage, <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> logName=&quot;&quot;)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ErrorDialog.html#a2bc61f9ef62e3b8bc45bb108974870fc">ErrorDialog</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ErrorDialog.html#a74219f8676f8036cf7dd56b8530390dd">display</a> (const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;errorMessage, <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> logName=&quot;&quot;)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ErrorDialog.html#a2bc61f9ef62e3b8bc45bb108974870fc">ErrorDialog</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ErrorDialog.html#a74219f8676f8036cf7dd56b8530390dd">display</a> (const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;errorMessage, <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> logName=&quot;&quot;)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ErrorDialog.html#a2bc61f9ef62e3b8bc45bb108974870fc">ErrorDialog</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ErrorDialog.html#a661449454b699ca021c125daec86d2b4">~ErrorDialog</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ErrorDialog.html#a74219f8676f8036cf7dd56b8530390dd">display</a> (const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;errorMessage, <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> logName=&quot;&quot;)</td></tr>
<tr><td colspan="2"><h2><a name="pro-static-methods"></a>
Static Protected Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static INT_PTR CALLBACK&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ErrorDialog.html#a1f3d293c59aad68710b27b8fe256cad2">DlgProc</a> (HWND hDlg, UINT iMsg, WPARAM wParam, LPARAM lParam)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Callback to process window events.  <a href="#a1f3d293c59aad68710b27b8fe256cad2"></a><br/></td></tr>
<tr><td colspan="2"><h2><a name="pro-attribs"></a>
Protected Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ErrorDialog.html#adcb32e40d152431c6482b7cd816b76dc">mErrorMsg</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">HINSTANCE&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ErrorDialog.html#a0f5dc692c7beff3692a8cd850dc662e1">mHInstance</a></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>Class for displaying the error dialog if <a class="el" href="namespaceOgre.html">Ogre</a> fails badly. </p>

<p>Definition at line <a class="el" href="Android_2OgreErrorDialogImp_8h_source.html#l00036">36</a> of file <a class="el" href="Android_2OgreErrorDialogImp_8h_source.html">Android/OgreErrorDialogImp.h</a>.</p>
</div><hr/><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="a2bc61f9ef62e3b8bc45bb108974870fc"></a><!-- doxytag: member="Ogre::ErrorDialog::ErrorDialog" ref="a2bc61f9ef62e3b8bc45bb108974870fc" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1ErrorDialog.html#a2bc61f9ef62e3b8bc45bb108974870fc">Ogre::ErrorDialog::ErrorDialog</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a2bc61f9ef62e3b8bc45bb108974870fc"></a><!-- doxytag: member="Ogre::ErrorDialog::ErrorDialog" ref="a2bc61f9ef62e3b8bc45bb108974870fc" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1ErrorDialog.html#a2bc61f9ef62e3b8bc45bb108974870fc">Ogre::ErrorDialog::ErrorDialog</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a2bc61f9ef62e3b8bc45bb108974870fc"></a><!-- doxytag: member="Ogre::ErrorDialog::ErrorDialog" ref="a2bc61f9ef62e3b8bc45bb108974870fc" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1ErrorDialog.html#a2bc61f9ef62e3b8bc45bb108974870fc">Ogre::ErrorDialog::ErrorDialog</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a2bc61f9ef62e3b8bc45bb108974870fc"></a><!-- doxytag: member="Ogre::ErrorDialog::ErrorDialog" ref="a2bc61f9ef62e3b8bc45bb108974870fc" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1ErrorDialog.html#a2bc61f9ef62e3b8bc45bb108974870fc">Ogre::ErrorDialog::ErrorDialog</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a2bc61f9ef62e3b8bc45bb108974870fc"></a><!-- doxytag: member="Ogre::ErrorDialog::ErrorDialog" ref="a2bc61f9ef62e3b8bc45bb108974870fc" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1ErrorDialog.html#a2bc61f9ef62e3b8bc45bb108974870fc">Ogre::ErrorDialog::ErrorDialog</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a2bc61f9ef62e3b8bc45bb108974870fc"></a><!-- doxytag: member="Ogre::ErrorDialog::ErrorDialog" ref="a2bc61f9ef62e3b8bc45bb108974870fc" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1ErrorDialog.html#a2bc61f9ef62e3b8bc45bb108974870fc">Ogre::ErrorDialog::ErrorDialog</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a2bc61f9ef62e3b8bc45bb108974870fc"></a><!-- doxytag: member="Ogre::ErrorDialog::ErrorDialog" ref="a2bc61f9ef62e3b8bc45bb108974870fc" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1ErrorDialog.html#a2bc61f9ef62e3b8bc45bb108974870fc">Ogre::ErrorDialog::ErrorDialog</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a2bc61f9ef62e3b8bc45bb108974870fc"></a><!-- doxytag: member="Ogre::ErrorDialog::ErrorDialog" ref="a2bc61f9ef62e3b8bc45bb108974870fc" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1ErrorDialog.html#a2bc61f9ef62e3b8bc45bb108974870fc">Ogre::ErrorDialog::ErrorDialog</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a661449454b699ca021c125daec86d2b4"></a><!-- doxytag: member="Ogre::ErrorDialog::~ErrorDialog" ref="a661449454b699ca021c125daec86d2b4" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1ErrorDialog.html#a661449454b699ca021c125daec86d2b4">Ogre::ErrorDialog::~ErrorDialog</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="WIN32_2OgreErrorDialogImp_8h_source.html#l00050">50</a> of file <a class="el" href="WIN32_2OgreErrorDialogImp_8h_source.html">WIN32/OgreErrorDialogImp.h</a>.</p>

</div>
</div>
<hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="a74219f8676f8036cf7dd56b8530390dd"></a><!-- doxytag: member="Ogre::ErrorDialog::display" ref="a74219f8676f8036cf7dd56b8530390dd" args="(const String &amp;errorMessage, String logName=&quot;&quot;)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1ErrorDialog.html#a74219f8676f8036cf7dd56b8530390dd">Ogre::ErrorDialog::display</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>errorMessage</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&#160;</td>
          <td class="paramname"><em>logName</em> = <code>&quot;&quot;</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="remark"><dt><b>Remarks:</b></dt><dd>Displays the error dialog. </dd></dl>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">errorMessage</td><td>The error message which has caused the failure. </td></tr>
    <tr><td class="paramname">logName</td><td>Optional name of the log to display in the detail pane. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a74219f8676f8036cf7dd56b8530390dd"></a><!-- doxytag: member="Ogre::ErrorDialog::display" ref="a74219f8676f8036cf7dd56b8530390dd" args="(const String &amp;errorMessage, String logName=&quot;&quot;)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1ErrorDialog.html#a74219f8676f8036cf7dd56b8530390dd">Ogre::ErrorDialog::display</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>errorMessage</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&#160;</td>
          <td class="paramname"><em>logName</em> = <code>&quot;&quot;</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="remark"><dt><b>Remarks:</b></dt><dd>Displays the error dialog. </dd></dl>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">errorMessage</td><td>The error message which has caused the failure. </td></tr>
    <tr><td class="paramname">logName</td><td>Optional name of the log to display in the detail pane. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a74219f8676f8036cf7dd56b8530390dd"></a><!-- doxytag: member="Ogre::ErrorDialog::display" ref="a74219f8676f8036cf7dd56b8530390dd" args="(const String &amp;errorMessage, String logName=&quot;&quot;)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1ErrorDialog.html#a74219f8676f8036cf7dd56b8530390dd">Ogre::ErrorDialog::display</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>errorMessage</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&#160;</td>
          <td class="paramname"><em>logName</em> = <code>&quot;&quot;</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="remark"><dt><b>Remarks:</b></dt><dd>Displays the error dialog. </dd></dl>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">errorMessage</td><td>The error message which has caused the failure. </td></tr>
    <tr><td class="paramname">logName</td><td>Optional name of the log to display in the detail pane. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a74219f8676f8036cf7dd56b8530390dd"></a><!-- doxytag: member="Ogre::ErrorDialog::display" ref="a74219f8676f8036cf7dd56b8530390dd" args="(const String &amp;errorMessage, String logName=&quot;&quot;)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1ErrorDialog.html#a74219f8676f8036cf7dd56b8530390dd">Ogre::ErrorDialog::display</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>errorMessage</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&#160;</td>
          <td class="paramname"><em>logName</em> = <code>&quot;&quot;</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="remark"><dt><b>Remarks:</b></dt><dd>Displays the error dialog. </dd></dl>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">errorMessage</td><td>The error message which has caused the failure. </td></tr>
    <tr><td class="paramname">logName</td><td>Optional name of the log to display in the detail pane. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a74219f8676f8036cf7dd56b8530390dd"></a><!-- doxytag: member="Ogre::ErrorDialog::display" ref="a74219f8676f8036cf7dd56b8530390dd" args="(const String &amp;errorMessage, String logName=&quot;&quot;)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1ErrorDialog.html#a74219f8676f8036cf7dd56b8530390dd">Ogre::ErrorDialog::display</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>errorMessage</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&#160;</td>
          <td class="paramname"><em>logName</em> = <code>&quot;&quot;</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="remark"><dt><b>Remarks:</b></dt><dd>Displays the error dialog. </dd></dl>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">errorMessage</td><td>The error message which has caused the failure. </td></tr>
    <tr><td class="paramname">logName</td><td>Optional name of the log to display in the detail pane. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a74219f8676f8036cf7dd56b8530390dd"></a><!-- doxytag: member="Ogre::ErrorDialog::display" ref="a74219f8676f8036cf7dd56b8530390dd" args="(const String &amp;errorMessage, String logName=&quot;&quot;)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1ErrorDialog.html#a74219f8676f8036cf7dd56b8530390dd">Ogre::ErrorDialog::display</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>errorMessage</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&#160;</td>
          <td class="paramname"><em>logName</em> = <code>&quot;&quot;</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="remark"><dt><b>Remarks:</b></dt><dd>Displays the error dialog. </dd></dl>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">errorMessage</td><td>The error message which has caused the failure. </td></tr>
    <tr><td class="paramname">logName</td><td>Optional name of the log to display in the detail pane. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a74219f8676f8036cf7dd56b8530390dd"></a><!-- doxytag: member="Ogre::ErrorDialog::display" ref="a74219f8676f8036cf7dd56b8530390dd" args="(const String &amp;errorMessage, String logName=&quot;&quot;)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1ErrorDialog.html#a74219f8676f8036cf7dd56b8530390dd">Ogre::ErrorDialog::display</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>errorMessage</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&#160;</td>
          <td class="paramname"><em>logName</em> = <code>&quot;&quot;</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="remark"><dt><b>Remarks:</b></dt><dd>Displays the error dialog. </dd></dl>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">errorMessage</td><td>The error message which has caused the failure. </td></tr>
    <tr><td class="paramname">logName</td><td>Optional name of the log to display in the detail pane. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a74219f8676f8036cf7dd56b8530390dd"></a><!-- doxytag: member="Ogre::ErrorDialog::display" ref="a74219f8676f8036cf7dd56b8530390dd" args="(const String &amp;errorMessage, String logName=&quot;&quot;)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1ErrorDialog.html#a74219f8676f8036cf7dd56b8530390dd">Ogre::ErrorDialog::display</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>errorMessage</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&#160;</td>
          <td class="paramname"><em>logName</em> = <code>&quot;&quot;</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="remark"><dt><b>Remarks:</b></dt><dd>Displays the error dialog. </dd></dl>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">errorMessage</td><td>The error message which has caused the failure. </td></tr>
    <tr><td class="paramname">logName</td><td>Optional name of the log to display in the detail pane. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a1f3d293c59aad68710b27b8fe256cad2"></a><!-- doxytag: member="Ogre::ErrorDialog::DlgProc" ref="a1f3d293c59aad68710b27b8fe256cad2" args="(HWND hDlg, UINT iMsg, WPARAM wParam, LPARAM lParam)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static INT_PTR CALLBACK <a class="el" href="classOgre_1_1ErrorDialog.html#a1f3d293c59aad68710b27b8fe256cad2">Ogre::ErrorDialog::DlgProc</a> </td>
          <td>(</td>
          <td class="paramtype">HWND&#160;</td>
          <td class="paramname"><em>hDlg</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">UINT&#160;</td>
          <td class="paramname"><em>iMsg</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">WPARAM&#160;</td>
          <td class="paramname"><em>wParam</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">LPARAM&#160;</td>
          <td class="paramname"><em>lParam</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [static, protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Callback to process window events. </p>

</div>
</div>
<hr/><h2>Member Data Documentation</h2>
<a class="anchor" id="adcb32e40d152431c6482b7cd816b76dc"></a><!-- doxytag: member="Ogre::ErrorDialog::mErrorMsg" ref="adcb32e40d152431c6482b7cd816b76dc" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="el" href="classOgre_1_1ErrorDialog.html#adcb32e40d152431c6482b7cd816b76dc">Ogre::ErrorDialog::mErrorMsg</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="WIN32_2OgreErrorDialogImp_8h_source.html#l00063">63</a> of file <a class="el" href="WIN32_2OgreErrorDialogImp_8h_source.html">WIN32/OgreErrorDialogImp.h</a>.</p>

</div>
</div>
<a class="anchor" id="a0f5dc692c7beff3692a8cd850dc662e1"></a><!-- doxytag: member="Ogre::ErrorDialog::mHInstance" ref="a0f5dc692c7beff3692a8cd850dc662e1" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">HINSTANCE <a class="el" href="classOgre_1_1ErrorDialog.html#a0f5dc692c7beff3692a8cd850dc662e1">Ogre::ErrorDialog::mHInstance</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="WIN32_2OgreErrorDialogImp_8h_source.html#l00071">71</a> of file <a class="el" href="WIN32_2OgreErrorDialogImp_8h_source.html">WIN32/OgreErrorDialogImp.h</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li><a class="el" href="Android_2OgreErrorDialogImp_8h_source.html">Android/OgreErrorDialogImp.h</a></li>
<li><a class="el" href="WIN32_2OgreErrorDialogImp_8h_source.html">WIN32/OgreErrorDialogImp.h</a></li>
<li><a class="el" href="GLX_2OgreErrorDialogImp_8h_source.html">GLX/OgreErrorDialogImp.h</a></li>
<li><a class="el" href="gtk_2OgreErrorDialogImp_8h_source.html">gtk/OgreErrorDialogImp.h</a></li>
<li><a class="el" href="iOS_2OgreErrorDialogImp_8h_source.html">iOS/OgreErrorDialogImp.h</a></li>
<li><a class="el" href="NaCl_2OgreErrorDialogImp_8h_source.html">NaCl/OgreErrorDialogImp.h</a></li>
<li><a class="el" href="OSX_2OgreErrorDialogImp_8h_source.html">OSX/OgreErrorDialogImp.h</a></li>
<li><a class="el" href="Symbian_2OgreErrorDialogImp_8h_source.html">Symbian/OgreErrorDialogImp.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:48:54
</p>
</body>
</html>
